Bug 299891 (CVE-2007-1308) - CVE-2007-1308 kdelibs KDE JavaScript denial of service (crash)
Summary: CVE-2007-1308 kdelibs KDE JavaScript denial of service (crash)
Status: CLOSED ERRATA
Alias: CVE-2007-1308
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard: impact=low,source=internet,reported=2...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-21 09:34 UTC by Tomas Hoger
Modified: 2011-09-28 23:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-28 23:17:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0909 normal SHIPPED_LIVE Moderate: kdelibs security update 2008-01-09 01:17:18 UTC

Description Tomas Hoger 2007-09-21 09:34:37 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-1308 to the following vulnerability:

ecma/kjs_html.cpp in KDE JavaScript (KJS), as used in Konqueror in KDE 3.5.5, allows remote attackers to cause a denial of service (crash) by accessing the content of an iframe with an ftp:// URI in the src attribute, probably due to a NULL pointer dereference.

References:

http://lists.grok.org.uk/pipermail/full-disclosure/2007-March/052793.html
http://bindshell.net/advisories/konq355
http://bindshell.net/advisories/konq355/konq355-patch.diff
http://www.securityfocus.com/bid/22814

Comment 1 Tomas Hoger 2007-09-21 09:45:18 UTC
Patch for this issue is included in KDE security advisory:

http://www.kde.org/info/security/advisory-20070326-1.txt

CVE name is *not* mentioned in KDE advisory, it only references CVE-2007-1564,
also discovered and reported by mark@bindshell.net.

Comment 3 Tomas Hoger 2007-09-21 13:13:38 UTC
This issue only affects kdelibs as shipped in Red Hat Enterprise Linux 5.  Older
versions of kdelibs as shipped in Red Hat Enterprise Linux 2.1, 3 and 4 are not
affected.

Comment 6 Kurt Seifried 2011-09-28 23:17:36 UTC
This issue has been addressed in following products:

  Red Hat Linux Enterprise 4
  Red Hat Linux Enterprise 4.5.z
  Red Hat Linux Enterprise 5
  
Via RHSA-2007:0909 available at https://rhn.redhat.com/errata/RHSA-2007-0909.html


Note You need to log in before you can comment on or make changes to this bug.